## ros-indigo-swri-route-util 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_route_util)

set(BUILD_DEPS 
  marti_common_msgs
  marti_nav_msgs
  roscpp
  swri_geometry_util
  swri_math_util
  swri_transform_util
  visualization_msgs
  )

set(RUNTIME_DEPS ${BUILD_DEPS})


### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME})

include_directories(include ${catkin_INCLUDE_DIRS})

### Build Library ###
add_library(${PROJECT_NAME} 
  src/route.cpp
  src/route_point.cpp
  src/route_speeds.cpp
  src/util.cpp
  src/visualization.cpp
  )
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++0x")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

### Install Libraries and Executables ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

### Install Header Files ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-route-util (2.8.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-route-util (2.7.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-route-util (2.7.2-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-route-util (2.7.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-route-util (2.7.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-route-util (2.6.0-0trusty) trusty; urgency=high

  * Remove incorrect translation of object geometry (#527 <https://github.com/swri-robotics/marti_common/issues/527>)
  * Contributors: agyoungs

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-route-util (2.5.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-route-util (2.4.0-0trusty) trusty; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-route-util (2.3.0-0trusty) trusty; urgency=high

  * Fill in route id of route positions when possible. (#517 <https://github.com/swri-robotics/marti_common/issues/517>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-route-util (2.2.1-0trusty) trusty; urgency=high

  * Catch and fix NaNs in the fillOrientations function (#513 <https://github.com/swri-robotics/marti_common/issues/513>)
  * Contributors: kriskozak

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-route-util (2.2.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-route-util (2.1.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-route-util (2.0.0-0trusty) trusty; urgency=high

  * Accept '1' or 'true' for stop points. (#489 <https://github.com/swri-robotics/marti_common/issues/489>)
  * Contributors: Marc Alban

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-route-util (1.2.0-0trusty) trusty; urgency=high

  * Add support for vehicle_width_override property on route (#485 <https://github.com/swri-robotics/marti_common/issues/485>)
  * Add bounds checking to extractSubroute. (#486 <https://github.com/swri-robotics/marti_common/issues/486>)
  * Contributors: Marc Alban, Matthew Bries

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-route-util (1.1.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-route-util (1.0.0-0trusty) trusty; urgency=high

  * Add route speed functions (#466 <https://github.com/swri-robotics/marti_common/issues/466>)
    * Add visualization function for swri_route_util.
    * Add code to calculate max speeds based on curvature to swri_route_util.
    * Add speed/obstacle functionality to swri_route_util.
  * Add extractSubroute function.
  * Contributors: Elliot Johnson, elliotjo

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-route-util (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/swri-robotics/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-route-util (0.2.4-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-route-util (0.2.3-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-route-util (0.2.2-0trusty) trusty; urgency=high

  * Add support for stop point metadata.
  * Add helper method to find files within a directory and subdirectories based on regular expression matching for the filename.
  * Add sru::projectOntoRouteWindow (#393 <https://github.com/swri-robotics/marti_common/issues/393>)
    This is a utility function to project a point onto a window of the
    route.
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-route-util (0.2.1-0trusty) trusty; urgency=high

  * Changing the order of include dirs
    "${catkin_INCLUDE_DIRS}" needs to be listed after "include", otherwise gcc may
    try to compile this component's cpp files using headers from a system-installed
    version of swri_route_util.
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-route-util (0.2.0-0trusty) trusty; urgency=high

  * Add error message for non-unique route point IDs.
  * Contributors: Elliot Johnson, P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-indigo-swri-route-util (0.1.5-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-indigo-swri-route-util (0.1.4-0trusty) trusty; urgency=high

  * Fix distances in routeDistances for points before start point.
    There were two bugs in routeDistances that were causing the incorrect
    distance to be calculated for points before the start point.  An error
    in the iteration bounds was causing the distance of the first point to
    be 0.0.  Secondly, the arc length for the other points was just the


=== debian/control ===
Source: ros-indigo-swri-route-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-roscpp, ros-indigo-swri-geometry-util, ros-indigo-swri-math-util, ros-indigo-swri-transform-util, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swri-route-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-roscpp, ros-indigo-swri-geometry-util, ros-indigo-swri-math-util, ros-indigo-swri-transform-util, ros-indigo-visualization-msgs
Description: This library provides functionality to simplify working with the navigation messages defined in marti_nav_msgs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-route-util//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
